/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/drivers/wintel32/core/helpers/wintrace.cpp

*/

#include "sgx/core/core.hpp"
#include "drivers/wintel32/device.hpp"
#include "drivers/wintel32/core/helpers/wintrace.hpp"

void
CWintel32Output::trace(const char *pMessage)
{
	OutputDebugString(pMessage);
	OutputDebugString("\n");
}

void
CWintel32Output::create()
{
	sgxRegisterOutputTrace(CWintel32Output::trace);
}
